package com.mortals.xhx.module.ent.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.ent.model.vo.EntLifeCycleVo;
import com.mortals.xhx.module.ent.model.EntLifeMatterEntity;
import lombok.Data;
/**
* 企业生命周期实体对象
*
* @author zxfei
* @date 2025-03-15
*/
@Data
public class EntLifeCycleEntity extends EntLifeCycleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 生命周期编码
    */
    private String lifeCycleCode;
    /**
    * 生命周期名称
    */
    private String lifeCycleName;
    /**
    * 排序字段
    */
    private Integer sort;
    /**
    * 备注
    */
    private String remark;
    /**
    * 创建用户名称
    */
    private String createUserName;
    /**
    * 企业周期事项主信息
    */
    private List<EntLifeMatterEntity> entLifeMatterList=new ArrayList<>();;
    public List<EntLifeMatterEntity> getEntLifeMatterList(){
      return entLifeMatterList;
    }

    public void setEntLifeMatterList(List<EntLifeMatterEntity> entLifeMatterList){
        this.entLifeMatterList = entLifeMatterList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof EntLifeCycleEntity) {
            EntLifeCycleEntity tmp = (EntLifeCycleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.lifeCycleCode = "";
            this.lifeCycleName = "";
            this.sort = 0;
            this.remark = "";
            this.createUserName = "";
    }
}